INTERFACE
SUBROUTINE HRADP_ML(KIND,KDLEN,KLEN,KSET,&
 & PNVANG,PZEANG,KCOEF,&
 & PPRESH5,PTF5,PQF5,&
 & PLS5,PCI5,PPS5,PTS5,PT2M5,PQ2M5,PCTOP5,PCAMT5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KIND
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(OUT) :: PNVANG(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZEANG(KDLEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCOEF
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PT2M5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ2M5(KDLEN),PCTOP5(KDLEN),PCAMT5(KDLEN)
END SUBROUTINE HRADP_ML
END INTERFACE
